<?php
/*********************************************************      
 文件说明:         
    功能说明:节假日列表


    调用关系:调用:header.inc  
             被调用:实现各个功能模块的页面        
    变量说明:
             

作者:
NO.1      
姓名：          
时间：   
修改说明：
*********************************************************/ 
require("../../inc/header.inc");
?>
<body leftmargin="15" rightmargin="10" onload="javascript:adjust();" onresize="javascript:adjust();" style="overflow:hidden;overflow-x:hidden;overflow-y:hidden;">

<?php
adjust_head();
adjust_title_head();
$helpId = "2.2.3.4"; 
$ppsDb='PPS_DB';
$tableName='pre_bill_holiday';
$arr_mode=array("edit","add");
$strThisPage=$strTitleAdvanced.$strTitleSpace.$strTariffPlan.$strTitleSpace.$strHoliday;
$sql="SELECT * 
	  FROM $tableName
	  ORDER BY 'month','day'";
$result=mysqli_query($pubConn,$sql);
$rows=mysqli_fetch_array($result);
?>


<?php
	echo "<table id=\"table_up\" border=\"0\" width=\"100%\">";
	echo "<tr>";
	echo "<td width=\"50%\">";
	echo "$strThisPage";
	echo "</td>";
	echo "<td width=\"50%\" align=\"right\" title=\"Help\">";
	showHelp($helpId);
	echo "</td>";
	echo "</tr>";
	echo "</table>";
adjust_title_tail();
adjust_content_head();
echo "<br>";
	/*
//没有纪录时，显示无记录提示
  if(!$rows){
	echo "$strNotFindRecord";
	exit();
  }
 */
?>

<table border="0" cellpadding="2" cellspacing="0"  bordercolor="#666666" bordercolordark="#FFFFFF" width="100%">
  <tr>
    <td valign="middle" width="12%"><a href="tariffHoliday.php" target="_self"><img align=absBottom border="0" src="../../images/list.gif" width="16" height="16"><?php echo "$strList"; ?></a>&nbsp;&nbsp;&nbsp;
	</td> 
    <td valign="middle" width="12%">
	<?php
	  echo "<a href=\"tariffHolidayEdit.php?mode=$arr_mode[1]\" target=\"_self\">";
	?>
	<img align="absBottom" border="0" src="../../images/add.gif" width="16" height="16"><?php echo "$strAdd"; ?></a>&nbsp;&nbsp;&nbsp;
	</td>
	<td>
	&nbsp;
	</td>
  </tr>
</table>

<table border="1" width="400" cellpadding="2" cellspacing="0"  bordercolor="#666666" bordercolordark="#FFFFFF">
  <tr bgcolor="#E6E6E6">
    <td align="center" width="40%"><?php echo $strDate; ?>(mm-dd)</td>   
    <td align="center" width="60%"><?php echo $strDescription; ?></td>  
    </tr>
    <?php
	$i=0;
      do
      {
    echo "<tr>";
	$id=$rows[id];
	$month=omc_keep_length($rows[month],0,2);
	$day=omc_keep_length($rows[day],0,2);
	$showDate=$month."-".$day;
	$rows[name]=$rows[name]?$rows[name]:'--';
    echo "<td align=\"center\"><a href=\"./tariffHolidayEdit.php?month=$month&day=$day&mode=$arr_mode[0]\">$showDate</a></td>"; 
    echo "<td align=\"center\">$rows[name]</td>"; 
    echo "</tr>"; 
	$i++;
      }while($rows=mysqli_fetch_array($result));
    ?>
  </table> 
<?php
adjust_content_tail();
?>
</body>   
</html>   
